diff --git a/fc-solve/source/dbm_lru_cache.h b/fc-solve/source/dbm_lru_cache.h
index 07751fc4d..3f59b1071 100644
--- a/fc-solve/source/dbm_lru_cache.h
+++ b/fc-solve/source/dbm_lru_cache.h
@@ -10,47 +10,48 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "generic_tree.h"
 #include "fcc_brfs_test.h"
 
 #ifdef FCS_LRU_KEY_IS_STATE
-typedef fcs_state_keyval_pair_t fcs_cache_key_t;
+    typedef fcs_state_keyval_pair_t fcs_cache_key_t;
 #else
 typedef fcs_encoded_state_buffer_t fcs_cache_key_t;
 #endif
 
-struct fcs_cache_key_info_struct
-{
-    fcs_cache_key_t key;
-    fcs_fcc_move_t *moves_to_key;
-    /* lower_pri and higher_pri form a doubly linked list.
-     *
-     * pri == priority.
-     * */
-    struct fcs_cache_key_info_struct *lower_pri, *higher_pri;
-};
-
-typedef struct fcs_cache_key_info_struct fcs_cache_key_info_t;
-
-typedef struct
-{
+    struct fcs_cache_key_info_struct
+    {
+        fcs_cache_key_t key;
+        fcs_fcc_move_t *moves_to_key;
+        /* lower_pri and higher_pri form a doubly linked list.
+         *
+         * pri == priority.
+         * */
+        struct fcs_cache_key_info_struct *lower_pri, *higher_pri;
+    };
+
+    typedef struct fcs_cache_key_info_struct fcs_cache_key_info_t;
+
+    typedef struct
+    {
 #if (FCS_RCS_CACHE_STORAGE == FCS_RCS_CACHE_STORAGE_JUDY)
-    Pvoid_t states_values_to_keys_map;
+        Pvoid_t states_values_to_keys_map;
 #elif (FCS_RCS_CACHE_STORAGE == FCS_RCS_CACHE_STORAGE_KAZ_TREE)
     dict_t *kaz_tree;
 #else
 #error Unknown FCS_RCS_CACHE_STORAGE
 #endif
-    fcs_compact_allocator_t states_values_to_keys_allocator;
-    long count_elements_in_cache, max_num_elements_in_cache;
+        fcs_compact_allocator_t states_values_to_keys_allocator;
+        long count_elements_in_cache, max_num_elements_in_cache;
 
-    fcs_cache_key_info_t *lowest_pri, *highest_pri, *recycle_bin;
+        fcs_cache_key_info_t *lowest_pri, *highest_pri, *recycle_bin;
 #define RECYCLE_BIN_NEXT(item) ((item)->higher_pri)
-    void *tree_recycle_bin;
-} fcs_lru_cache_t;
+        void *tree_recycle_bin;
+    } fcs_lru_cache_t;
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/dbm_move_to_string.h b/fc-solve/source/dbm_move_to_string.h
index 95802cb97..fd5e2411d 100644
--- a/fc-solve/source/dbm_move_to_string.h
+++ b/fc-solve/source/dbm_move_to_string.h
@@ -13,41 +13,42 @@
 #include "rinutils.h"
 
 #ifdef __cplusplus
-extern "C" {
-#endif
-
-static void move_to_string(unsigned char move, char *const move_buffer)
+extern "C"
 {
-    char *s = move_buffer;
+#endif
 
-    for (int iter = 0; iter < 2; iter++)
+    static void move_to_string(unsigned char move, char *const move_buffer)
     {
-        int val_to_inspect = (move & 0xF);
-        move >>= 4;
+        char *s = move_buffer;
 
-        if (val_to_inspect < 8)
+        for (int iter = 0; iter < 2; iter++)
         {
-            s += sprintf(s, "Column %d", val_to_inspect);
-        }
-        else
-        {
-            val_to_inspect -= 8;
-            if (val_to_inspect < 4)
+            int val_to_inspect = (move & 0xF);
+            move >>= 4;
+
+            if (val_to_inspect < 8)
             {
-                s += sprintf(s, "Freecell %d", val_to_inspect);
+                s += sprintf(s, "Column %d", val_to_inspect);
             }
             else
             {
-                val_to_inspect -= 4;
-                s += sprintf(s, "Foundation %d", val_to_inspect);
+                val_to_inspect -= 8;
+                if (val_to_inspect < 4)
+                {
+                    s += sprintf(s, "Freecell %d", val_to_inspect);
+                }
+                else
+                {
+                    val_to_inspect -= 4;
+                    s += sprintf(s, "Foundation %d", val_to_inspect);
+                }
+            }
+            if (iter == 0)
+            {
+                s += sprintf(s, "%s", " -> ");
             }
-        }
-        if (iter == 0)
-        {
-            s += sprintf(s, "%s", " -> ");
         }
     }
-}
 
 #ifdef __cplusplus
 }
